org.springframework.web.reactive.accept

## Class HeaderContentTypeResolver

- java.lang.Object
- - org.springframework.web.reactive.accept.HeaderContentTypeResolver

All Implemented Interfaces:
  RequestedContentTypeResolver

    public class HeaderContentTypeResolver
    extends Object
    implements RequestedContentTypeResolver

Resolver that looks at the 'Accept' header of the request.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from interface org.springframework.web.reactive.accept.RequestedContentTypeResolver

`MEDIA_TYPE_ALL_LIST`

### Constructor Summary

Constructors
Constructor and Description
`HeaderContentTypeResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.springframework.http.MediaType>` `resolveMediaTypes(org.springframework.web.server.ServerWebExchange exchange)` Resolve the given request to a list of requested media types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeaderContentTypeResolver

    public HeaderContentTypeResolver()

### Method Detail

#### resolveMediaTypes

    public List<org.springframework.http.MediaType> resolveMediaTypes(org.springframework.web.server.ServerWebExchange exchange)
                                                               throws org.springframework.web.server.NotAcceptableStatusException

Description copied from interface: `RequestedContentTypeResolver`
Resolve the given request to a list of requested media types. The returned list is ordered by specificity first and by quality parameter second.

Specified by:
  `resolveMediaTypes` in interface `RequestedContentTypeResolver`
Parameters:
  `exchange` - the current exchange
Returns:
  the requested media types, or `RequestedContentTypeResolver.MEDIA_TYPE_ALL_LIST` if none were requested.
Throws:
  `org.springframework.web.server.NotAcceptableStatusException` - if the requested media type is invalid